#!/bin/bash

. /usr/lib/pm-utils/functions

suspend_FPS() {
    # stop vcsFPService
	/etc/init.d/vcsFPServiceDaemon stop

}

resume_FPS() {
    # Wake up vcsFPService
	nohup /etc/init.d/vcsFPServiceDaemon start > /dev/null 2>&1
}
case "$1" in
	hibernate|suspend)
		suspend_FPS
		;;
	thaw|resume)
		resume_FPS
		;;
	*)
		;;
esac

exit $?
